Order - Add Manual Shipment
curl --request POST \
--url https://api.skulabs.com/order/add_manual_shipment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"address": {
"name": "<string>",
"company": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>"
},
"carrier": "<string>",
"tracking_number": "<string>",
"service": "<string>",
"order_items": [
{}
],
"warehouse_id": "<string>",
"dropship": true,
"no_refresh": true,
"notes": "<string>",
"force_deduction": true,
"cost": 123
}
'import requests
url = "https://api.skulabs.com/order/add_manual_shipment"
payload = {
"store_id": "507f1f77bcf86cd799439011",
"order_number": "<string>",
"address": {
"name": "<string>",
"company": "<string>",
"address": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_code": "<string>",
"phone": "<string>",
"email": "<string>"
},
"carrier": "<string>",
"tracking_number": "<string>",
"service": "<string>",
"order_items": [{}],
"warehouse_id": "<string>",
"dropship": True,
"no_refresh": True,
"notes": "<string>",
"force_deduction": True,
"cost": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
store_id: '507f1f77bcf86cd799439011',
order_number: '<string>',
address: {
name: '<string>',
company: '<string>',
address: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country_code: '<string>',
phone: '<string>',
email: '<string>'
},
carrier: '<string>',
tracking_number: '<string>',
service: '<string>',
order_items: [{}],
warehouse_id: '<string>',
dropship: true,
no_refresh: true,
notes: '<string>',
force_deduction: true,
cost: 123
})
};
fetch('https://api.skulabs.com/order/add_manual_shipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"shipments": [
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
],
"skulabs_warning": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Order
Order - Add Manual Shipment
Add a manual shipment with tracking information to an order.
POST
/
order
/
add_manual_shipment
Order - Add Manual Shipment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Store ID
Example:
"507f1f77bcf86cd799439011"
Order number
Shipping address
Show child attributes
Show child attributes
Carrier name (e.g. USPS, UPS, FedEx)
Tracking number
Shipping service type
Items included in the shipment
Warehouse ID to ship from
Whether this is a dropship order
Skip cache refresh after operation
Shipment notes
Force inventory deduction
Shipping cost
⌘I